# サンプルアプリ 

## マイグレーション

```shell
$ python manage.py migrate
$ python manage.py runserver
```

## データの投入

```shell
# Thread を Django Shell から作成する
$ python manage.py shell
>>> from apps.models import Thread
>>> import pytz
>>> import datetime
>>> Thread.objects.create(name="test_thread", max_comments=3, publishing_time=datetime.datetime(2020, 8, 10, tzinfo=pytz.timezone("UTC")))
# 結果: <Thread: Thread object (1)>

# コメント追加APIにアクセス
$ curl -X POST http://localhost:8000/comments/add -F thread_id=1 -F content=コメント
# 結果: {}

# コメント一覧APIにアクセス
$ curl http://localhost:8000/comments/
# 結果: {"threads": [{"name": "test_thread", "comments": ["コメント"]}]}⏎
```