import factory
import factory.fuzzy
from datetime import datetime
from pytz import timezone

# Thread モデル作成用のクラスを記述
class ThreadFactory(factory.django.DjangoModelFactory):
    # 固定値でデフォルト値を設定
    name = "thread_example"
    # 連番でデフォルト値を設定
    max_comments = factory.Sequence(lambda n: n+1)
    # 指定日から現在日までのランダム値でデフォルト値を設定
    publishing_time = factory.fuzzy.FuzzyDateTime(datetime(2020, 8, 10, tzinfo=timezone("UTC")))

    # Thread モデルを設定
    class Meta:
        model = "apps.Thread"

class CommentFactory(factory.django.DjangoModelFactory):
    # 外部キー Thread を作成する設定
    thread = factory.SubFactory(ThreadFactory)
    content = "comment_example"

    class Meta:
        model = "apps.Comment"
